Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Class NestedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AopConfigException, AopInvocationException, BeansException, BshScriptUtils.BshExecutionException, ConversionException, DataAccessException, EjbAccessException, HandlerMethodInvocationException, HttpMessageConversionException, JmsException, JmxException, JndiLookupFailureException, JobMethodInvocationFailedException, JRubyScriptUtils.JRubyExecutionException, MailException, MultipartException, RemoteAccessException, RestClientException, SchedulingException, ScriptCompilationException, SerializationFailedException, TransactionException, XmlMappingException

    public abstract class NestedRuntimeException

extends java.lang.RuntimeException

Handy class for wrapping runtime `Exceptions` with a root cause.

This class is `abstract` to force the programmer to extend the class. `getMessage` will include nested exception information; `printStackTrace` and other like methods will delegate to the wrapped exception, if any.

The similarity between this class and the `NestedCheckedException` class is unavoidable, as Java forces these two classes to have different superclasses (ah, the inflexibility of concrete inheritance!).

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `getMessage()`, `Throwable.printStackTrace()`, `NestedCheckedException`, Serialized Form

Constructor Summary
`NestedRuntimeException(java.lang.String msg)` Construct a `NestedRuntimeException` with the specified detail message.
`NestedRuntimeException(java.lang.String msg, java.lang.Throwable cause)` Construct a `NestedRuntimeException` with the specified detail message and nested exception.

Method Summary
`boolean` | `contains(java.lang.Class exType)` Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.
`java.lang.String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`java.lang.Throwable` | `getMostSpecificCause()` Retrieve the most specific cause of this exception, that is, either the innermost cause (root cause) or this exception itself.
`java.lang.Throwable` | `getRootCause()` Retrieve the innermost cause of this exception, if any.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedRuntimeException

    public NestedRuntimeException(java.lang.String msg)

  Construct a `NestedRuntimeException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### NestedRuntimeException

    public NestedRuntimeException(java.lang.String msg,
                                  java.lang.Throwable cause)

  Construct a `NestedRuntimeException` with the specified detail message and nested exception.

  Parameters:
    `msg` - the detail message
    `cause` - the nested exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getRootCause

    public java.lang.Throwable getRootCause()

  Retrieve the innermost cause of this exception, if any.

  Returns:
    the innermost exception, or `null` if none
  Since:
    2.0

### getMostSpecificCause

    public java.lang.Throwable getMostSpecificCause()

  Retrieve the most specific cause of this exception, that is, either the innermost cause (root cause) or this exception itself.

  Differs from `getRootCause()` in that it falls back to the present exception if there is no root cause.

  Returns:
    the most specific cause (never `null`)
  Since:
    2.0.3

### contains

    public boolean contains(java.lang.Class exType)

  Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.

  Parameters:
    `exType` - the exception type to look for
  Returns:
    whether there is a nested exception of the specified type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD